### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions
LocalVolCurve Class Reference

Local volatility curve derived from a Black curve. More...

`#include <ql/termstructures/volatility/equityfx/localvolcurve.hpp>`

Inheritance diagram for LocalVolCurve:
[legend]

List of all members.

## Public Member Functions

| LocalVolCurve (const Handle< BlackVarianceCurve > &curve)
TermStructure interface
const Date & | referenceDate () const
| the date at which discount = 1.0 and/or variance = 0.0
Calendar | calendar () const
| the calendar used for reference and/or option date calculation
DayCounter | dayCounter () const
| the day counter used for date/time conversion
Date | maxDate () const
| the latest date for which the curve can return values
VolatilityTermStructure interface
Real | minStrike () const
| the minimum strike for which the term structure can return vols
Real | maxStrike () const
| the maximum strike for which the term structure can return vols
Visitability
virtual void | accept (AcyclicVisitor &)

## Protected Member Functions

Volatility | localVolImpl (Time, Real) const

## Detailed Description

Local volatility curve derived from a Black curve.

## Member Function Documentation

Volatility localVolImpl | ( | Time | t,
|  | Real | dummy
| ) |  | const`[protected, virtual]`

The relation

holds, where is the local volatility at time and is the Black volatility for maturity . From the above, the formula

can be deduced which is here implemented.

Implements LocalVolTermStructure.